VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 84
声望: 1

安装好veighna_studio-3.8.0,装好mysql, 在github上找到run.py,放到某个目录下运行,即出现以下错误:

C:\veighna_studio\Lib\site-packages\vnpy_ctastrategy>python run.py
找不到数据库驱动vnpy_mysql,使用默认的SQLite数据库
Traceback (most recent call last):
File "C:\veighna_studio\lib\site-packages\vnpy\trader\database.py", line 152, in get_database
module: ModuleType = import_module(module_name)
File "C:\veighna_studio\lib\importlib__init.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 883, in exec_module
File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
File "C:\veighna_studio\lib\site-packages\vnpy_mysql\
init__.py", line 26, in <module>
from .mysql_database import MysqlDatabase as Database
File "C:\veighna_studio\lib\site-packages\vnpy_mysql\mysql_database.py", line 4, in <module>
from peewee import (
ModuleNotFoundError: No module named 'peewee'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\veighna_studio\Lib\site-packages\vnpy_ctastrategy\run.py", line 28, in <module>
main()
File "C:\veighna_studio\Lib\site-packages\vnpy_ctastrategy\run.py", line 18, in main
main_engine.add_app(CtaStrategyApp)
File "C:\veighna_studio\lib\site-packages\vnpy\trader\engine.py", line 102, in add_app
engine: BaseEngine = self.add_engine(app.engine_class)
File "C:\veighna_studio\lib\site-packages\vnpy\trader\engine.py", line 73, in add_engine
engine: BaseEngine = engine_class(self, self.event_engine)
File "C:\veighna_studio\lib\site-packages\vnpy_ctastrategy\engine.py", line 97, in init
self.database: BaseDatabase = get_database()
File "C:\veighna_studio\lib\site-packages\vnpy\trader\database.py", line 155, in get_database
module: ModuleType = import_module("vnpy_sqlite")
File "C:\veighna_studio\lib\importlib__init.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 883, in exec_module
File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
File "C:\veighna_studio\lib\site-packages\vnpy_sqlite\
init__.py", line 26, in <module>
from .sqlite_database import SqliteDatabase as Database
File "C:\veighna_studio\lib\site-packages\vnpy_sqlite\sqlite_database.py", line 4, in <module>
from peewee import (
ModuleNotFoundError: No module named 'peewee'

以前用的是veighna_studio-3.5.0,没有这样的问题,比较了一下2个版本相关的文件,也没有找到什么不同,论坛里大概翻了一下,没有找到相应的贴子,
可以看下问题出在哪里吗?

Member
avatar
加入于:
帖子: 4556
声望: 277

可以pip install peewee之后再试试看

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】